New in CSSC-1.4.1, 2019-05-07

         * This release - and future releases - of CSSC must be
           compiled with a C++ compiler that supports the 2011
           C++ standard.

         * When the history file is updated (with admin or delta for
           example) the history file is not made executable simply
           because the 'x' flag is set.  Instead, preserve the
           executable-ness from the history file we are replacing.

         * This release is based on updated versions of gnulib and of
          the googletest unit test framework.
	   
New in CSSC-1.4.0, 2014-07-11

         * New stable release, almost identical to the test release
           1.3.2 - the only changes are version numbering and updates
           to the ChangeLog and NEWS files.  The previous stable
           release was 1.3.0, so the following two sections of this
           file set out what has changed since 1.3.0.

New in CSSC-1.3.2, 2014-06-30

        * This release is based on updated versions of gnulib and of
          the googletest unit test framework (the test framework is of
          course not linked into the installed CSSC binaries, it is
          just used for unit tests).

        * This release uses a new tar format.  Up to now we have used
          the v7 Unix tar format, but this does not cope correctly
          with filenames longer than 99 characters, and we now have
          one of those.  We now use the ustar format defined by
          POSIX 1003.1-1988.  If you need to unpack a CSSC
          distrubition with a version of tar which only deals with the
          v7 format, unpack the distribution somewhere else, rename or
          delete the long files (they are not essential to the build
          process) and re-pack it. This new tar format will likely
          also be used for all future releases.

        * Fix Savannah bug 33633, prs -d":GB:" coredumps when
          expanding %I%.

New in CSSC-1.3.1, 2011-05-10

        * prs now prints ignored deltas when expanding the :DI:
          keyword.  The expansion of :DI: varies between SCCS
          implementations, as described in the manual.  This partly
          fixes Savannah bug #33154: SCCS versions vary wrt ignored
          deltas (that is, this change covers only the prs binary).

        * Fix Savannah bug bug #33153: "prs" includes "AUTO NULL
          DELTA"s.  "prs -r" will no longer print any additional
          deltas that happen to share the same timestamp with the last
          matching delta.

        * If the SID identified by "prs -r" is not found, prs now
          exits with status 1, not 0.  This fixes SourceForge bug
          #1300722.

	* The headers produced by sccsdiff have changed.  A different
          header is used when the -p option is specified and when
          it's not.  The new behaviour matches OpenSolaris 2009.06.

	* The ordering of the ouput of "sccs unedit" is now different;
          the new order matches OpenSolaris 2009.06.

	* "get -L" will now send the ID of the gotten SID to stderr,
          which better matches OpenSolaris 2009.06.  The indentation
          of the delta summary has also been adjusted.

	* To pass an empty list of MRs to admin, you now have to
          provide an argument (as opposed to omitting it).  For
          example, "admin -i/dev/null -fv -m' ' s.foo".  This aligns
          better with OpenSolaris 2009.06 but it is a
          backward-incompatible change.

New in CSSC-1.3.0, 2010-11-07

        * This release is identical to CSSC-1.3.0rc1 apart from the
          version number.

New in CSSC-1.3.0rc1, 2010-05-16

        * The CSSC manual is now published under version 1.3 of the
          GNU Free Documentation License.

 	* The code and build system have been modernised and some
          redundant files have been removed.  This may make it harder
          to build CSSC on very old systems.  However, it's now easier
          to maintain.  If CSSC no longer builds on a system that's
          important to you, please send mail to <bug-cssc@gnu.org>
          explaining your problem.

	* CSSC now uses the GNU portability library, gnulib.

	* CSSC now requires a C++ compiler with working exceptions and
          a working STL implementation.

	* Adoption of some STL data structures has made some parts of
          CSSC faster, notably "val".

	* CSSC now includes unit tests.  We also run the y2k tests for
          "make check".  If valgrind is installed, it will be used to
          for verification during tests.  You can turn this off by
          givig the --without-valgrind option to configure.

	* The configure script now supports a new option
          "--enable-warnings" which enables many GCC warning options.

New in CSSC-1.2.0, 2009-04-11

	* This stable release is almost identical to the 1.1.1 test
          release; there are no functional changes.

New in CSSC-1.1.1, 2008-01-18

	* Updated the NEWS file to give estimated release dates
	  and user-visible changes for ancient releases.

	* The -l and -L options of "get" are now implemented.

	* If you use "admin -dlX" to unlock release X, but all
	  releases are locked, an explanatory error message is issued.
	  Previously, the attempt was simply silently ignored.

	* prs no longer has a -R option.

	* When CSSC tools are passed the name of a directory on the
	  command line, they operate on the SCCS files in that directory.
	  As of this release, subdirectories are ignored (instead of
	  generating an error when CSSC tries to open the directory as
	  a file).

New in CSSC-1.1.0, 2007-12-17

	* GNU CSSC is now distributed under version 3 of the GNU General
	  Public License.  The documentation is distributed under
          version 1.2 of the GNU Free Documentation License.

	* We now require the C++ compiler to support exceptions in
          order to compile successfully.  Previously, CSSC allowed
          compilation without exceptions, but this meant that graceful
	  recovery from failures was not possible.

	* Fixed a spurious failure when writing out the SCCS file when
          the Y flag is set in the SCCS file.

	* "sccs unedit /tmp/SCCS/s.foo" will no longer cause the
	  deletion of ./s.foo, if it exists.  Instead, ./foo will be
          deleted, as intended.

	* Support for some older SCCS files as produced by Unix System III
	  (some of these have leading spaces in the counts of inserted/
	  deleted/unchanged lines in the delta table).

	* Compilation fixes for Darwin

New in CSSC-1.0.1, 2005-01-22

	* "admin -h" now actually validates the SCCS file.
          (SourceForge bug 1043880)

	* Compilation fixes for GCC version 3.4. (SourceForge bug
          1045768).

	* Cross-references in the manual are now more consistently named.
	  (SourceForge bug 1043893).

	* "sccs sccsdiff" now accepts "-r X" as well as
          "-rX". (SourceForge bug 966010)

	* "get -e" could experience an assertion failure where a file
          is checked out for editing; this occurred when the "next"
	  revision has already been reserved by a previous "get -e".
          This is now fixed.  (SourceForge bug 865422).

New in CSSC-1.00, 2004-10-10

	* We now support the "x" (make g-file executable) and "y"
	  (limit keyword expansion) SCCS file flags.  These are SCO
	  OpenServer and Sun Solaris 8 extensions, respectively.

	* We now support "sccs diffs -u", which of course produces
	  unified-format diffs.  We also support the "-n" and "-w"
	  options to diff and the -a, -B, -d, -H, -p, -q, -s, -v and
          -y options to GNU diff.

	* Some changes to support compilation with Sun CC 5.5.
	  (this was a suggestion by Thomas Duffy, who has just taken on
          responsibility for the RPM and SRPM packages of CSSC).

	* The "sccs -d /xxx print foo.txt" command now works;
          previously, use of the "-d" flag would have generated an
          error.

	* Better handling of the archive bit on Windows systems.

New in CSSC-0.16alpha-pl0, 2003-12-07

	* We now honour the user's choice of umask (which fixes
	  SourceForge bug number 581740).

	* On Red Hat Linux, info files live in /usr/share/info not /usr/info.

	* Recognise BitKeeper files and don't emit spurious warnings when
	  we see its extensions to the file format.  However, we do emit
          a warning if we see an "extension" we don't recognise.
          Support for BitKeeper files is read-only.

	* Fixed SourceForge bug 664900 by applying a fix from Darren Warner.

	* "get -e" now takes notice of the value of the "d" flag.

New in CSSC-0.15alpha-pl0, 2002-12-08 (date from SourceForge)

	* Reduced the number of lines of code not tested by the test suite to
          2083.

	* Support for ignored deltas

	* Added section in the CSSC manual on included, excluded and
	  ignored deltas.  Various other minor improvements to manual,
	  including a clearer description of CSSC's interoperability
	  support, and how it treats long lines in its input.

	* sccs get - all g-files processed after a failing file are deleted.

 	* Fixed compilation bug - we were using idigit() in reveral places but
          not including <ctype.h>. (SourceForge bug 623164).

	* The test suite now passes when run against a genuine version of
	  SCCS which lacks "prt".

	* Support for the "-a" option of "get" and the "-p" option of "delta".

	* We detect the situation if an SCCS file has a link count
          greater than 1, and we refuse to open the affected file.

 	* Fix cssc.spec file so that it works with RPM v4 (i.e. when all
          manpages are automatically compressed).

	* Correction to support for MR validation on systems lacking
	  "fork()".

	* Upgraded to autoconf version 2.53.

New in CSSC-0.14alpha-pl0, 2002-04-03

	* Added Richard Kettlewell's sccs.cgi CGI script.

	* Enhancements to the manual: added a Glossary, documented "val".

	* Include a section in the manual explaining in more detail some of
	  the differences in between other SCCS versions (and which
	  funcitonality CSSC follows in each case).

	* More test cases (we are now tracking test suite
	  coverage with "gcov" and devising test cases to
	  test the parts of the code that the test suite does not
	  currently reach).

	* Bug-fixes for "val" (mainly corrections to the precise
	  value returned when validation fails)

	* delta now checks that the caller is actually allowed to make
	  deltas to he SCCS history file (previously this check was made only
	  by "get -e")

	* The "!44" syntax for the authorised user list is not compatible
	  with SCCS and hence has been disabled.  Any complaints via the
	  usual bug reporting route, please.

	* The options -Y and -M for "delta" have been removed (since they
          aren't in normal SCCS and can be replaced by -y"" and -m"").

 	* "sccs help" and "sccs comb" now issue more helpful error
          messages explaining why the relevant program is missing.

	* Corrections to "what" - exit with status 1 if no matching
          string was found or an unknown option letter was passed.

	* Fixes for set-user-id operation (which is still not
          recommended - see the CSSC manual for an explanation).

	* Added warning when we see an excluded delta, explaining that
          this feature is not fully tested.   The warning includes a pointer
          to a document explaining what they should do about this.

	* Fixed bugs from SourceForge:
		479916 (get -t problem),
	  	480136, 481519, 481707, 484278 (all related to setuid
	  		operation, and in fact all duplicates of each other),
	  	489005 (removal of g-file when running setuid),
		513800 (cope with Data General "bugfix" 4-digit years),
		489311 (Locale settings cause test failure),
	  	530969 (FILE* leak in filediff.cc),
		531884 (compiler warning on 64-bit systems)

	* Moved old ChangeLog to ChangeLog.2.

New in CSSC-0.13alpha-pl1, 2001-11-25

	* get -e should re-use deltas that have been removed
	  (SF bug ID 450900, new test case tests/get/removed-delta.sh)

	* Fixed Debian GNU/Linux bug #120080 (that sccs sccsdiff fails to
          work if the /usr/sccs symbolic link is missing and the
          libexecfir is not on the caller's $PATH).

	* Test suite now passes if run against Solaris 2.6 (this is the
          pnly Unix system to which the author has convenient access
	  at home).

	* admin -fl2 now deletes any other existing locks (this is a
          Solaris 2.6 compatibility fix; please report a bug if this
          breaks compatibility with something else).

	* If final item in the prs format string is \n (the
	  escape code for newline as opposed to newline) then
	  prs does not emit that newline (for compatibility with
	  Solaris 2.6 - if this is different on other Unix systems,
	  please report this as a bug).

	* Small changes to prt output format (reserved usr list header
          and extra spaces at beginning and end of line).

New in CSSC-0.13alpha-pl0, 2001-09-23

	* CSSC should now build with GCC version 3.

	* Preliminary support for CYGWIN

	* It is now possible to turn binary file support off when
	  running "configure", to enforce compatibility with an
	  SCCS implementation which lacks binary file support.  It is
	  also possible to indicate a maximum allowable line length as
	  well.  These settings can be overridden by the use of
	  environment variables.  For more information, see the
	  "Interoperability" and "Environment" chapters in the CSSC
	  manual.

	* It is also now possible to have concurrent edits (i.e. the
	  "j" flag now actually works instead of causing a coredump).
	  (This was SourceForge bug #439146).

New in CSSC-0.12alpha-pl0, 2001-07-08

 	* Updated BSD license & documentation to remove advertising clause
	  (Thanks to Janet Casey and Richard Stallman for reminding me
	  to do this).

	* Some changes for better compilation with compilers other
	  than GCC.

	* Include a script "testutils/mogrify.awk" that you can use to "sanitise"
	  SCCS files before sending them with bug reports, so as to not
	  expose your code (please check that the problem persists
	  with the sanitised version of the file, also).

	* Support for newer versions of automake and autoconf.

	* New script, testutils/compare_gets.sh which can be used
          to compare the result of using CSSC on your repository
          of SCCS files with the effect of SCCS.  NOTE: please
	  use this tool on a COPY of your source repository!

	* Fix for long-standing bug: we now can correctly extract
          files containing deltas which include other deltas with
	  the ^Ai construct (e.g. branch merges).  We may still not
          handle "get -i" correctly yet though.  Also, no similar
          fix for the excluded delta situation (I have no example
          file demonstrating that problem).  This is recorded as
	  SourceForge bug 111140.

        * Bugfixes: SID selection for branches -- if 1.3 exists
          and you edit 1.2.1.1, you should still get 1.2.1.2.

        * Documentation: we now refer to the correct SourceForge URL
	  for the bug-reporting service in the CSSC manual.

	* Bugfixes: SourceForge bugs 121599, 121605.

  	* Do correct clean up if we get SIGINT while waiting for user
          input (e.g. MRs)

New in CSSC-0.11alpha-pl4, 2000-06-18

	* delta now accepts list of MRs on input even if the input is
	  not a TTY since allegedly other implementations do this.
	  This patch from Albert John FitzPatrick III.

	* Patches to allow the processing of SCCS files with gaps in
	  the chain of used sequence numbers, and to allow two deltas
	  to have the same sequence number, on the condition that one
	  of them is a removed delta.  These patches from Sergey
	  Ostashenko.

	* Support for SCCS files in which timestamps have been
	  corrupted by non-Y2K-compliant versions of SCCS.  These
	  files are correctly understood on reading, and are fixed if
	  the file is ever re-written by CSSC.  (The Sun version of
	  SCCS also performs the same fix).  Patches to do this were
	  provided by Peter Kjellerstedt

	* Fix from Frank van Maarseveen for cdc and rmdel: if there is
	  a problem, delete the lock file even if we are running
	  setuid.  (See the manual for remarks about setuid
	  operation).

New in CSSC-0.11alpha-pl3, 1999-06-27

        * Portability fixes for SunOS 4.1.3, Ultrix 4.2, IRIX 6.5.

	* Don't coredump when we fail to create the initial lockfile.

	* Better log messages when (e.g.) get fails to open the s.file

New in CSSC-0.11alpha-pl2, 1999-06-21

	* texinfo.tex is now included in the distribution, since
          automake likes this to be so.

  	* We no longer rely on the STL <list> header (neither did any
          version before CSSC-0.11alpha-pl1).

New in CSSC-0.11alpha-pl1, 1999-04-18

	* Note that this is an ALPHA release.  If you want a BETA
          release, use 0.10beta.pl1 instead.

 	* Rewrote the delta inclusion/exclusion code to correctly
          support getting deltas which include previous revisions of
          which they are not a descendant.  This kind of thing is
          normally only perpetrated by other programs, real people
          don't usually do this by hand.

  	* As a side-effect, delta now correctly use the ignored and
          excluded lists of deltas from the p-file (these are put
          there by "get -e -x -i").

New in CSSC-0.11alpha-pl0, 1999-04-18

	* Nothing.  This version never existed -- I made a typo in
	  configure.in, making  CSSC-0.11alpha-pl1 follow directly from
          CSSC-0.10beta-pl1.

New in CSSC-0.10beta-pl1, 1999-03-21

	* Eliminated some compiler warnings for bsd/sccs.c; addd
          CREDITS.short.txt.  No other significant user-visible changes.

New in CSSC-0.10beta-pl0, 1999-03-20

	* Support for C++ compilers other than GNU C++.

New in CSSC-0.09alpha-pl4, 1999-03-15

	* The -p option of delta has been implemented.

	* Fixed "sccs sccsdiff" (bug report by Achim Hoffmann).

New in CSSC-0.09alpha-pl3, 1999-03-13

	* You can specify a full SID in the argument for the -r option
          of admin.  Some SCCS implementations allow this, and others
          do not.  We now allow it, but with a warning.

	* Improvements to the "val" command.

	* We avoid checking for proper support of "const" in the
	  compiler, since the relevant Autoconf macro is designed for
	  testing C compilers, and apparently fails on standard-compliant
	  C++ implementations.

New in CSSC-0.09alpha-pl2, 1998-12-10

	* I have upgraded my C++ compiler to EGCS 1.0.3, and there are
	  related modifications (presumably for better standard
	  compliance).  If CSSC now no longer compiles on your system,
	  please either send me hate-mail, or a fix if you have one.

	* Initial support for "admin -h" (at the moment we just check
          the checksum and a few other simple things).  The -h option is
	  not yet well tested.

	* "admin -z" now works better; it doesn't complain if the s-file is
          read-only (because it should be read only in any case).

	* It is now posible to unset the "m" flag using admin.  Previously
	  this was not possible, due to an oversight.

	* An implementation of "val" is now included.  It is not complete.
	  You can invoke it and it behaves like "val", but it doesn't check
	  everything it should yet.

	* We now cope cirrectly with SCCS files where a flag which normally
	  has an argument is set, but without an argument.  This does
	  happen.


New in CSSC-0.09alpha-pl1, 1998-11-13

	* We now correctly return an exit status of 1 when we run out
          of disk space in get or prs.

	* sccsdiff is now documented.

	* We no longer coredump when no SCCS file is specified on the
          command line.

	* We now allow some new features of Larry McVoy's BitSCCS
	  (BitKeeper).  We don't use them, we just let them pass.

	* We don't require the "nl" utility in order to run the test
	  suite.


New in CSSC-0.09alpha-pl0, 1998-08-13

	* We now handle failures in a different way; quit() will
	  throw an exception on those systems that support them.

New in CSSC-0.08alpha-pl1, 1998-06-19

	* Documented the possible exit values in the manpage for sccs.

	* Re-fixed bug in mystring.cc.    Sigh.

	* Avoids compilation error for sccs.c on Solaris.

New in CSSC-0.08alpha-pl0, 1998-06-16 (date from tar file)

	* The program now works on systems with no <string> header
	  file.  Previously existing support for this situation had a
	  bug that resulted in CSSC being unable to open files whose
	  filenames contain more than one slash.  Apologies to Achim
	  Hoffmann for this bug.

	* Using "-" as a command line argument now works correctly
	  again; a list of files to process is read from stdin.

	* "prs -r" with no argument for the -r now works correctly,
           rather than failing.

	* Work correctly even when invoked with one or more of the
	  standard file descriptors closed (rather than corrupting an
          output file).

	* Preliminary support for continuing to process the argument list
          even if one of the files named early on the command line fails.
	  This support is incomplete, though the current situation is better
	  than before.  There may be a few cases where the program
	  eventually exits with the wrong error level.  There may even
	  be cases where the program now continues when it should not.

New in CSSC-0.07alpha-pl3, 1998-06-10

	* Corrected RPM spec file.

	* Added COPYING.bsd and sccs.1 to the distribution.

	* Ensure the test suite is not run by root (because
	  "test -w" gives misleading results for root).

New in CSSC-0.07alpha-pl2, 1998-06-09

	* Bugfixes for Sun Code Manager compatibility.

New in CSSC-0.07alpha-pl1, 1998-06-08

	* get: eliminated spurious warning about keyword expansion and
	  binary files.

	* delta: Allow backslashes to escape newlines when entering
	  comments, MRs, etc.

	* "sccs create": pass the -b flag to admin, but not to get.

	* Small correction to test suite entry for prt.

New in CSSC-0.07alpha-pl0, 1998-06-06

	* "get -e" should now (again) re-use deltas that have been
           removed with rmdel.

	* Tests for sccs(1) in the test suite.

	* Modifications to string handling (fixes for possible bugs)
          in sccs(1).

	* sccs(1) should now compile on Linux under libc version 5
          (as well as libc version 6, under which it already did
          compile).

	* Added options --cssc, --prefix, --version and -V to sccs(1)
          and documented them in its manual page.

New in CSSC-0.06alpha-pl8, unreleased

	* Fixed some compilation warnings.

	* Fixed the formatting of MR numbers in prt.

New in CSSC-0.06alpha-pl7, 1998-05-08

	* Fixed bug with ignored deltas that manifested when
	  working with SCCS files produced by Sun's "Code
	  Manager" product.

New in CSSC-0.06alpha-pl6, 1998-05-04

	* Included the BSD sccs.c program for the first time.
          It has not been tested.  It's work-in-progress.

	* The "-t" option of the "get" command is now implemented.

New in CSSC-0.06alpha-pl5, 1998-03-11

	* Bugfix for rmdel; it now no longer corrupts the SCCS file
  	  it operates on (previously all the delta control lines had
	  been stripped out).

New in CSSC-0.06alpha-pl4, 1998-03-10

	* admin's -n and -i options now work correctly with absolute
	  pathnames.

	* Fixes for support of SCCS files whose names contain a space.

New in CSSC-0.06alpha-pl3, 1998-03-01

	* "admin -i" now works when the input file turns out
          to need encoding.  We do not need to be able to seek
	  on the input file, so stdin from a pipe works fine,
	  even if the -b option is not given.  We also have tests for
	  this situation.

New in CSSC-0.06alpha-pl2, 1998-02-23

	* 8-bit input data now works, as ordinary text.  This means that
	  you can use use CSSC to control revisions of ISO-8859 text
          files without needing to encode them (i.e. using the -b flag
	  of admin).  SCCS also supports this.

New in CSSC-0.06alpha-pl1, 1998-02-21

	* "get" keywords now sustitute the right values, the ones
	  corresponding to the delta actually being gotten, not the
	  ones corresponding to the delta that last modified the line
	  currently being worked on.

	* Bugfixes; "get s.foo -Gbar" is now equivalent to
	  "get -Gbar s.foo".  This fix applies to all the programs,
	  not just "get".


New in CSSC-0.06alpha-pl0, 1998-02-12

	* Binary file support (with test suite support).

	(release dates of newer releases are reconstructed from CVS tags)

New in CSSC-0.05alpha-pl1, 1998-02-11

	* When root runs "get -e", we used to get a "target file
	  is writable" error even if the gotten file is NOT writable.
	  This has been fixed.

	* Binary-file support has been worked on.  It does not
          work reliably for large files.   PLEASE DON'T USE IT AT
	  ALL.   The problem lies in pipe.{cc,h}.  Work progresses.
	  Some test cases live in tests/binary.

	* Added a spec-file for RPM in the "auxfiles" directory.
	  See http://www.rpm.org/ for further information.

	* When get ignores the "-b" flag, the user is warned.

	* "get -e -r1.1.1" now works (previously this produced an
	  assertion failure).

	* Added manual section explaining when and how branches are
	  made.

New in CSSC-0.05alpha-pl0, 1998-01-17

        * cdc has now been debugged using new test cases.

	* The sact, cdc, rmdel and prt commands have now been
	  documented in the manual.

	* sccsdiff has been improved by Richard Polton
	  <rap@scopic.com>, (the code was rewritten by myself).

	* Initial support for extremely long (>99999 line) files.
	  Also, test scripts for these.

	* Small bugs relating to exact emulation of "real" SCCS
	  fixed in admin (-a and -e simultaneously of the same user
	  now does the right thing, and -a adds users in the right
	  order).

	* Significant code reorganisation


New in CSSC-0.04alpha-pl0, 1997-11-23

	* Fixes for year-2000 compliance.  While previous versions
	  did in fact work in the year 2000, version 0.04 includes
	  fixes for bugs with the years 2019, 2020, and also a
	  partial fix for the Unix year-2038 problem.  SCCS files
	  containing dates throughout the valid range for SCCS
	  (1969-2038) work correctly.  "delta", "cdc" and "admin -i"
	  Depend on the operating system function time(), and so
	  may stop working on some systems in the year 2038.  Y2k
	  compliance tests have been added to the testsuite.

	* A chapter on Year 2000 issues has been added to the manual.

	* We no longer need to have a mktime() function.

	* We now use the standard C++ <string> header, if available.

New in CSSC-0.03alpha-pl2, 1997-11-13

	* Really fixed the test case for %P% in tests/get this time.

	* Indicated that GNU make and /bin/posix/sh are required on
	  HP-UX version 9.

New in CSSC-0.03alpha-pl1, 1997-11-12

        * Changed the version number format again.  It's the last
	  time, I promise.  Probably.

	* Works with versions of "make" other than GNU make, thanks to
	  GNU automake.  In particular, it's been tested with BSD
	  make.

	* Now works (again) on systems lacking strstr(), rename(), or
	  remove().

(I have no record of public releases from CSSC-devel-0.03a-pl0 onward,
and no saved copies of any tar archive produced.   I suspect that I never
made these releases, they were just candidates.  Dates are taken from the
CVS history).

New in CSSC-devel-0.03a-pl0, 1997-11-10

	* Fundamental changes, hence new version number.

	* Major change is switch to using "automake" to generate the
	  "Makefile.in" files.  The consequent changes may break
	  things for some machines.

	* The test suite now has its own chapter in the manual.

New in CSSC-0.02-devel-pl7, 1997-10-07

	* The test scripts now correctly test the %P% keyword.

	* The test scripts now avoid using "echo -n -e" since
	  the two options are incompatible on (some versions of?)
	  FreeBSD.

	* The release date for this and all previous releases was
	  updated on the basis of the timestamps from SourceForge
	  on 2007-12-22.

New in CSSC-0.02-devel-pl6, 1997-09-27

	* The -m and -n options of get had been the wrong way around.
          This is now fixed.

	* Fixed "what": the marker '@(#)' is no longer printed.

	* Added documentation for prs.

	* Fixes to get (keywords %I% %R% %L% %B% %S%, plus
	  correct subsitution when the "-c" option is used).

New in CSSC-0.02-devel-pl5, 1997-07-04

	* FreeBSD support (+ SMP build as a side effect, probably)

	* Support for G++ 2.6.3 (as well as 2.7.x)

	* Relocatable info directory.

New in CSSC-0.02-devel-pl4, 1997-06-21

	* The test suite now checks that get will refuse to overwrite a
	  writable file.

	* The test suite now works on Solaris.

New in CSSC-0.02-devel-pl3, 1997-06-16

	* The test suite now supports systems where "echo -e" produces
	"-e".

	* Support for some systems which lack some standard C headers.

New in CSSC-0.02-devel-pl2, 1997-06-15

	* The test suite now supports systems where echo -e blah\c works
	  but echo -e blah\c does not.

New in CSSC-0.02-devel-pl1, 1997-06-14

	* Rephrased the error message that lndir gives when the source and
	  destination are identical.

New in CSSC-0.02-devel-pl0, 1997-06-13

	* Implemented prt.

	* Removed admin -Y, -M, -I.

	* Added "No id keywords" warning to delta (this
	  already existed as a fatal error).

	* Improved SID matching for "get -r".

	* Support for branching

New in CSSC-0.01-devel-pl0, 1997-05-31

	* XXX: release date for this muct be wrong,
	  CVS shows no changes.
	  (TODO: just compare the release files?)

New in CSSC-0.01-devel-p9, 1997-05-31

	* XXX: release date for this muct be wrong,
	  CVS shows no changes.
	  (TODO: just compare the release files?)

New in CSSC-0.01-devel-p8, 1997-05-29

	* Changes which first appeared in this release
	  are actually shown under CSSC-0.01-devel-p7,
	  because I had to use cvs diff -D.
	  (TODO: just compare the release files?)

New in CSSC-0.01-devel-p7, 1997-05-29

	* Updated the README file from the MySC original.

	* Implemented support for admin options -m, -y, -t
	  without option arguments.  Same for delta -m, -y.

	* delta now prompts for MRs when needed.

	* Support for get -G; get prints the name of the SCCS file
	  unless only one was specified.

	* Added sccsdiff.

	* Recognise the 'e' (encoded) flag; no support yet though.

	* Support backslash escapes in prs format; make :FD: work
	  when there were no comments.

	* Added documentation files BUGS, CREDITS, FIXED, TODO

	* Initial version of the CSSC manual.

	* Introduced the regression test suite.

	* p4, p5 and p6 seem not to have been released; this NEWS
	  file entry contains the changes for them too (this entry
	  was filled in with the help of cvs diff -D ... -D ...)

New in CSSC-0.01-devel-p3, 1997-04-26

	* Switched to using Autoconf to detect the presence of system
	  header files.

New in CSSC-0.01-devel-p2, 1997-04-20

	* This is the first release that contained any code.

New in CSSC-0.01-devel-p1, 1997-04-03

	* Initial release; contained only the directory.  I assume
 	  this was a mistake, though I don't remember.
